我确实喜欢Lisp程序。不过,我添加了右上/左和右下/左,因为我经常使用它们。我只是想找到最快的方法来做到这一点,因为在很多情况下,我改变了很多理由。谢谢你的帮助,艾伦。以下是我添加的内容,效果很好:
-
- ;; Justification Macros
- ;; Alan J. Thomspon
- (defun _justifyIt (justify title / ss)
- (princ (strcat "\nSelect *Text to " title " justify: "))
- (if (setq ss (ssget "_:L" '((0 . "ATTDEF,MTEXT,TEXT"))))
- (command "_.justifytext" ss "" justify)
- )
- (princ)
- )
- (defun c:ML (/) (_justifyIt "_ML" "Middle Left"))
- (defun c:MR (/) (_justifyIt "_MR" "Middle Right"))
- (defun c:BC (/) (_justifyIt "_BC" "Bottom Center"))
- (defun c:TC (/) (_justifyIt "_TC" "Top Center"))
- (defun c:BR (/) (_justifyIt "_BR" "Bottom Right"))
- (defun c:BL (/) (_justifyIt "_BL" "Bottom Left"))
- (defun c:TL (/) (_justifyIt "_TL" "Top Left"))
- (defun c:TR (/) (_justifyIt "_TR" "Top Right"))
- (defun c:MC (/) (_justifyIt "_MC" "Middle Center"))
|